%define initdir %(if test -d /etc/init.d/. ; then echo /etc/init.d ; else echo /etc/rc.d/init.d ; fi)

Summary: A Router Advertisement daemon
Name: radvd
Version: 0.6.2
Release: 6
Copyright: BSD style
Group: System Environment/Daemons
Packager: Lars Fenneberg <lf@elemental.net>
Source0: ftp://ftp.cityline.net/pub/systems/linux/ipv6/radvd/radvd-%{version}.tar.gz
Source1: radvd.init
Patch0: radvd-fork.patch
Requires: chkconfig
BuildRoot: %{_tmppath}/%{name}-root

%description
radvd is the router advertisement daemon for IPv6.  It listens to router
solicitations and sends router advertisements as described in "Neighbor
Discovery for IP Version 6 (IPv6)" (RFC 2461).  With these advertisements
hosts can automatically configure their addresses and some other
parameters.  They also can choose a default router based on these
advertisements.

Install radvd if you are setting up IPv6 network and/or Mobile IPv6
services.

%prep
%setup
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" %configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 $RPM_BUILD_DIR/radvd-%{version}/radvd.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf

mkdir -p $RPM_BUILD_ROOT%{initdir}
install -m 755 $RPM_SOURCE_DIR/radvd.init $RPM_BUILD_ROOT%{initdir}/radvd

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ "$1" -ge "1" ]; then
    %{initdir}/radvd condrestart >/dev/null 2>&1
fi

%post
/sbin/chkconfig --add radvd

%preun
if [ $1 = 0 ]; then
   %{initdir}/radvd stop >/dev/null 2>&1
   /sbin/chkconfig --del radvd
fi

%files
%defattr(-,root,root)
%doc README CHANGES INTRO.html TODO
%config(noreplace) %{_sysconfdir}/radvd.conf
%config %{initdir}/radvd
%{_mandir}/*/*
%{_sbindir}/radvd
%{_sbindir}/radvdump

%changelog
* Mon Mar  5 2001 Tim Powers <timp@redhat.com>
- applied patch supplied by Pekka Savola in #30508
- made changes to initscript as per Pekka's suggestions

* Thu Feb 15 2001 Tim Powers <timp@redhat.com>
- needed -D_GNU_SOURCE to build properly

* Tue Feb  6 2001 Tim Powers <timp@redhat.com>
- use %%configure and %%makeinstall, just glob the manpages, cleans
  things up
- fixed initscript so that it can be internationalized in the future

* Fri Feb 2 2001 Pekka Savola <pekkas@netcore.fi>
- Create a single package(source) for glibc21 and glibc22 (automatic
Requires can handle this just fine).
- use %%{_mandir} and friends
- add more flesh to %doc
- streamline %config file %attrs
- streamline init.d file a bit:
   * add a default chkconfig: (default to disable for security etc. reasons; 
     also, the default config isn't generic enough..)
   * add reload/condrestart
   * minor tweaks
   * missing: localization support (initscripts-5.60)
- use %%initdir macro

* Thu Feb 1 2001 Lars Fenneberg <lf@elemental.net>
- updated to new release 0.6.2

* Thu Feb 1 2001 Marko Myllynen <myllynen@lut.fi>
- initial version, radvd version 0.6.1
